%define major 2
%define lib_name %mklibname agg %{major}
%define devel_name %mklibname agg -d

Summary: 	Open Source, free of charge graphic library
Name: 		libagg
Version: 	2.5
Release: 	%mkrel 12
Group: 		System/Libraries
License: 	AGG License
URL: 		http://www.antigrain.com/
Source:		http://www.antigrain.com/agg-%{version}.tar.gz
Patch0:		agg-2.5-linkage_fix.diff
Patch1:		agg-2.5-automake-1.12.patch
Patch2:		agg-2.5-drop-rpath.patch
BuildRequires:	libx11-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	SDL-devel

%description
Anti-Grain Geometry (AGG) is an Open Source, free of charge graphic library, 
written in industrially standard C++. The terms and conditions of use AGG 
are described on The License page. AGG doesn't depend on any graphic API or 
technology. Basically, you can think of AGG as of a rendering engine that 
produces pixel images in memory from some vectorial data.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devel_name}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: agg-devel = %{version}-%{release}

%description -n %{devel_name}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -qn agg-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
touch NEWS README AUTHORS

%build
autoreconf -fi
%define _disable_ld_no_undefined 1
%configure2_5x --datadir=%{_datadir} --disable-static --disable-examples
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%_libdir/*.so.%{major}*

%files -n %{devel_name}
%_includedir/agg2
%_datadir/aclocal/*.m4
%_libdir/*.so
%_libdir/pkgconfig/libagg.pc


%changelog

* Mon Jan 28 2013 fwang <fwang> 2.5-12.mga3
+ Revision: 392948
- disable as needed
- disable examples
- disable rpath
- finally fix linkage

* Sat Jan 12 2013 umeabot <umeabot> 2.5-11.mga3
+ Revision: 356790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 2.5-10.mga3
+ Revision: 275195
- cleanup spec and drop .la file

* Sat Apr 02 2011 pterjan <pterjan> 2.5-9.mga1
+ Revision: 79793
- Do not own /usr/lib/pkgconfig/

* Sun Feb 20 2011 eandry <eandry> 2.5-8.mga1
+ Revision: 54645
- drop obsoletes conditional
- move .a and .la files to devel package
- bump release for upgrade
- imported package libagg

